Skip to main content
GET
/
management
/
audit_logs
TypeScript
const response: Promise<FireblocksResponse<GetAuditLogsResponse>> = fireblocks.auditLogs.getAuditLogs(auditLogsApiGetAuditLogsRequest);
{
  "data": [
    {
      "id": "<string>",
      "timestamp": 123,
      "createdAt": 123,
      "user": "<string>",
      "subject": "<string>",
      "event": "<string>",
      "tenantId": "<string>",
      "userId": "<string>"
    }
  ],
  "cursor": "<string>",
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

timePeriod
enum<string>

The last time period to fetch audit logs

Available options:
DAY,
WEEK
cursor
string

The next id to start fetch audit logs from

Response

Audit logs from requested time period

data
object[]
cursor
string | null

The next id to start fetch audit logs from

total
number

The total number of audit logs